10 Replies Latest reply on Oct 28, 2014 11:14 AM by Rambutan

    Problem with jQuery and CEP 5 - "$" getting overrided

    Venky Murthy Level 1

      Updated the Illustrator from 17.x to 18.0. The extension started throwing error after the CSXS runtime is switched to 5.0 and with 5.0 recent CSInterface.js file.

       

      It says ReferenceError: $ is not defined. This was working fine  with CSXS runtime 4.0.


      Here is the script in my index.html


        <script src="../lib/3rd/jquery-1.10.2.js"></script>

          <script src="../lib/3rd/angular.min.js"></script>

          <script src="../lib/cep/CSInterface.js"></script>

       

      Any idea on how to solve this problem to get my extension up and running in 5.0